## supertuxkart 0.7.3

=== CMakeLists.txt ===
# CMakeLists.txt - root CMakeLists for the SuperTuxKart project
# TODO: make Ogg Vorbis optional (doesn't seem to work with autotools either!)

cmake_minimum_required(VERSION 2.8.1)

project(SuperTuxKart)

#set(CMAKE_VERBOSE_MAKEFILE TRUE)

set(STK_SOURCE_DIR "src")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "bin")
set(PROJECT_VERSION "0.7.3")

# Tweakable values
if(CMAKE_BUILD_TYPE MATCHES "Debug")
	set(DEBUG ON)
else()
	set(DEBUG OFF)
endif()

option(USE_FRIBIDI "Support for right-to-left languages" ON)
option(FONT_TOOL "Compile font tool" OFF)
set(IRRLICHT_DIR "/path/to/irrlicht" CACHE STRING "Path to Irrlicht")

# Build the Bullet physics library
add_subdirectory("${STK_SOURCE_DIR}/bullet")

# Build the ENet UDP network library
add_subdirectory("${STK_SOURCE_DIR}/enet")

# Set include paths
include_directories("${STK_SOURCE_DIR}")
include_directories("${STK_SOURCE_DIR}/enet/include")
include_directories("${STK_SOURCE_DIR}/bullet/src")

if(APPLE)
	# We could use smarter detection of the frameworks but supporting a single official setup makes things easy...
	include_directories("/Library/Frameworks/IrrFramework.framework/Versions/A/Headers/")
	include_directories("/Library/Frameworks/fribidi.framework/Headers")
	include_directories("/Library/Frameworks/Ogg.framework/Headers")
	include_directories("/Library/Frameworks/Vorbis.framework/Headers")
	include_directories("/usr/local/include")
	include_directories("/usr/include")
	find_library(Ogg /Library/Frameworks/Ogg.framework)
	find_library(Vorbis /Library/Frameworks/Vorbis.framework)
endif()

# Set lib paths
if(APPLE)
	# nothing to add
elseif(UNIX)
	link_directories("${IRRLICHT_DIR}/lib/Linux")
elseif(MSVC)
	link_directories("${IRRLICHT_DIR}/lib/Win32-visualstudio")
else()
	link_directories("${IRRLICHT_DIR}/lib/Win32-gcc")
endif()

link_directories("${STK_SOURCE_DIR}/bullet")

# OpenGL
if(APPLE)
    find_library(OpenGL /System/Library/Frameworks/OpenGL.framework /System/Library/Frameworks/AGL.framework)
else()
    find_package(OpenGL)
    
    if(OPENGL_FOUND)
	    message("-- OpenGL found (include dirs: ${OPENGL_INCLUDE_DIR})")
	    include_directories(${OPENGL_INCLUDE_DIR})
    else()
	    message(FATAL_ERROR "OpenGL not found.")
    endif()
    
    if(UNIX)
	    # X11, stk requires xf86vm
	    find_package(X11)
    
	    if(X11_FOUND)
		    message("-- X11 libs found")
	    else()
		    message(FATAL_ERROR "X11 not found.")
	    endif()
    endif()
endif()

# OpenAL
if(APPLE)
    find_library(OpenAL /Library/Frameworks/OpenAL.framework)
else()
    find_package(OpenAL)
    
    if(OPENAL_FOUND)
	    message("-- OpenAL found (include dirs: ${OPENAL_INCLUDE_DIR})")
	    include_directories(${OPENAL_INCLUDE_DIR})
    else()
	    message(FATAL_ERROR "OpenAL not found.")
    endif()
endif()

# Check if we finally got irrlicht
if(APPLE)
    find_library(Irrlicht /Library/Frameworks/IrrFramework.framework)
else()
    find_path(HAVE_IRRLICHT irrlicht.h PATHS ${IRRLICHT_DIR} ${IRRLICHT_DIR}/include /usr/include/irrlicht/ /usr/local/include/irrlicht/)
    
    if(HAVE_IRRLICHT)
	    message("-- Irrlicht found (in ${HAVE_IRRLICHT}/irrlicht.h)")
	    #include_directories(${IRRLICHT_DIR} ${IRRLICHT_DIR}/include /usr/include/irrlicht/ /usr/local/include/irrlicht/)
	    include_directories(${HAVE_IRRLICHT})
    else()
	    message(FATAL_ERROR "\n  --  Irrlicht not found (can't locate irrlicht.h)\n Use -DIRRLICHT_DIR=/path/to/irrlicht")
    endif()
endif()

include_directories(${HAVE_IRRLICHT})

# CURL
find_package(CURL)
if(CURL_FOUND)
	include_directories(${CURL_INCLUDE_DIRS})
else()
	message(FATAL_ERROR "-- libcURL not found, please install it.")
endif()

# Fribidi
if(USE_FRIBIDI)
    FIND_PATH(FRIBIDI_INCLUDE_DIR fribidi/fribidi.h
      /usr/local/include
      /usr/include
      )

    SET(FRIBIDI_NAMES ${FRIBIDI_NAMES} fribidi libfribidi)
    FIND_LIBRARY(FRIBIDI_LIBRARY
      NAMES ${FRIBIDI_NAMES}
      PATHS /usr/lib /usr/local/lib
      )

    IF (FRIBIDI_LIBRARY AND FRIBIDI_INCLUDE_DIR)
        message("-- Fribidi found")
    else()
        message(FATAL_ERROR "Fribidi not found. Either install fribidi or disable bidi support with -DUSE_FRIBIDI=0 (if you don't use a right-to-left language then you don't need this).")
    endif()
endif()
   
# Set some compiler options
if(UNIX)
	add_definitions(-Wall)
endif()

add_definitions(-DHAVE_OGGVORBIS)	# TODO: remove this switch

if(DEBUG)
	add_definitions(-DDEBUG)
else()
	add_definitions(-DNDEBUG)
	add_definitions(-O2)
endif()

find_package(Freetype)

if(FONT_TOOL)
    if(FREETYPE_FOUND)
	    message("-- Freetype found")
	    find_package(X11)
	    include_directories(${FREETYPE_INCLUDE_DIRS})
	    add_executable(font_tool
		    src/font_tool/CFontTool.cpp
		    src/font_tool/CFontTool.h
		    src/font_tool/CVectorFontTool.h
		    src/font_tool/main.cpp
	    )
	    target_link_libraries(font_tool ${FREETYPE_LIBRARIES})
	    target_link_libraries(font_tool ${X11_Xft_LIB})
	    target_link_libraries(font_tool ${OPENGL_LIBRARIES})
	    target_link_libraries(font_tool Irrlicht)
    else()
	    message("-- Freetype was not found, the font tool won't be built (only useful for developers)")
    endif()
else()
    message("-- Font tool deactivated, the font tool won't be built (only useful for developers)")
endif()

set( SRCS ${SRCS} src/main.cpp
	src/main_loop.cpp
	src/main_loop.hpp
	src/addons/addon.cpp
	src/addons/addon.hpp
	src/addons/addons_manager.cpp
	src/addons/addons_manager.hpp
	src/addons/network_http.cpp
	src/addons/network_http.hpp
	src/addons/news_manager.cpp
	src/addons/news_manager.hpp
	src/addons/request.cpp
	src/addons/request.hpp
	src/addons/zip.cpp
	src/addons/zip.hpp
	src/animations/animation_base.cpp
	src/animations/animation_base.hpp
	src/animations/billboard_animation.cpp
	src/animations/billboard_animation.hpp
	src/animations/ipo.cpp
	src/animations/ipo.hpp
	src/animations/three_d_animation.cpp
	src/animations/three_d_animation.hpp
	src/audio/music.hpp
	src/audio/music_information.cpp
	src/audio/music_information.hpp
	src/audio/music_manager.cpp
	src/audio/music_manager.hpp
	src/audio/music_ogg.cpp
	src/audio/music_ogg.hpp
	src/audio/sfx_base.hpp
	src/audio/sfx_buffer.cpp
	src/audio/sfx_buffer.hpp
	src/audio/sfx_manager.cpp
	src/audio/sfx_manager.hpp
	src/audio/sfx_openal.cpp
	src/audio/sfx_openal.hpp
	src/challenges/challenge.cpp
	src/challenges/challenge_data.cpp
	src/challenges/challenge_data.hpp
	src/challenges/challenge.hpp
	src/challenges/unlock_manager.cpp
	src/challenges/unlock_manager.hpp
	src/config/device_config.cpp
	src/config/device_config.hpp
	src/config/player.hpp
	src/config/stk_config.cpp
	src/config/stk_config.hpp
	src/config/user_config.cpp
	src/config/user_config.hpp
	src/enet/include/enet/callbacks.h
	src/enet/include/enet/enet.h
	src/enet/include/enet/list.h
	src/enet/include/enet/protocol.h
	src/enet/include/enet/time.h
	src/enet/include/enet/types.h
	src/enet/include/enet/unix.h
	src/enet/include/enet/utility.h
	src/enet/include/enet/win32.h
	src/graphics/camera.cpp
	src/graphics/camera.hpp
	src/graphics/CBatchingMesh.cpp
	src/graphics/CBatchingMesh.hpp
	src/graphics/explosion.cpp
	src/graphics/explosion.hpp
	src/graphics/hardware_skinning.cpp
	src/graphics/hardware_skinning.hpp
	src/graphics/hit_effect.hpp
	src/graphics/hit_sfx.cpp
	src/graphics/hit_sfx.hpp
	src/graphics/irr_driver.cpp
	src/graphics/irr_driver.hpp
	src/graphics/lod_node.cpp
	src/graphics/lod_node.hpp
	src/graphics/material.cpp
	src/graphics/material.hpp
	src/graphics/material_manager.cpp
	src/graphics/material_manager.hpp
	src/graphics/mesh_tools.cpp
	src/graphics/mesh_tools.hpp
	src/graphics/moving_texture.cpp
	src/graphics/moving_texture.hpp
	src/graphics/particle_emitter.cpp
	src/graphics/particle_emitter.hpp
	src/graphics/particle_kind.cpp
	src/graphics/particle_kind.hpp
	src/graphics/particle_kind_manager.cpp
	src/graphics/particle_kind_manager.hpp
	src/graphics/per_camera_node.cpp
	src/graphics/per_camera_node.hpp
	src/graphics/post_processing.cpp
	src/graphics/post_processing.hpp
	src/graphics/rain.cpp
	src/graphics/rain.hpp
        src/graphics/referee.cpp
        src/graphics/referee.hpp
	src/graphics/shadow.cpp
	src/graphics/shadow.hpp
	src/graphics/skid_marks.cpp
	src/graphics/skid_marks.hpp
	src/graphics/slip_stream.cpp
	src/graphics/slip_stream.hpp
	src/graphics/stars.cpp
	src/graphics/stars.hpp
	src/guiengine/abstract_state_manager.cpp
	src/guiengine/abstract_state_manager.hpp
	src/guiengine/abstract_top_level_container.cpp
	src/guiengine/abstract_top_level_container.hpp
	src/guiengine/CGUISpriteBank.cpp
	src/guiengine/CGUISpriteBank.h
	src/guiengine/engine.cpp
	src/guiengine/event_handler.cpp
	src/guiengine/event_handler.hpp
	src/guiengine/layout_manager.cpp
	src/guiengine/layout_manager.hpp
	src/guiengine/modaldialog.cpp
	src/guiengine/modaldialog.hpp
	src/guiengine/scalable_font.cpp
	src/guiengine/scalable_font.hpp
	src/guiengine/screen.cpp
	src/guiengine/screen.hpp
	src/guiengine/screen_loader.cpp
	src/guiengine/skin.cpp
	src/guiengine/skin.hpp
	src/guiengine/widget.cpp
	src/guiengine/widget.hpp
	src/guiengine/widgets/bubble_widget.cpp
	src/guiengine/widgets/bubble_widget.hpp
	src/guiengine/widgets/button_widget.cpp
	src/guiengine/widgets/button_widget.hpp
	src/guiengine/widgets/CGUIEditBox.cpp
	src/guiengine/widgets/CGUIEditBox.h
	src/guiengine/widgets/check_box_widget.cpp
	src/guiengine/widgets/dynamic_ribbon_widget.cpp
	src/guiengine/widgets/dynamic_ribbon_widget.hpp
	src/guiengine/widgets.hpp
	src/guiengine/widgets/icon_button_widget.cpp
	src/guiengine/widgets/icon_button_widget.hpp
	src/guiengine/widgets/label_widget.cpp
	src/guiengine/widgets/label_widget.hpp
	src/guiengine/widgets/list_widget.cpp
	src/guiengine/widgets/list_widget.hpp
	src/guiengine/widgets/model_view_widget.cpp
	src/guiengine/widgets/model_view_widget.hpp
	src/guiengine/widgets/progress_bar_widget.cpp
	src/guiengine/widgets/progress_bar_widget.hpp
	src/guiengine/widgets/ribbon_widget.cpp
	src/guiengine/widgets/ribbon_widget.hpp
	src/guiengine/widgets/spinner_widget.cpp
	src/guiengine/widgets/spinner_widget.hpp
	src/guiengine/widgets/text_box_widget.cpp
	src/guiengine/widgets/text_box_widget.hpp
	src/input/binding.cpp
	src/input/binding.hpp
	src/input/device_manager.cpp
	src/input/device_manager.hpp
	src/input/input_device.cpp
	src/input/input_device.hpp
	src/input/input.hpp
	src/input/input_manager.cpp
	src/input/input_manager.hpp
	src/io/file_manager.cpp
	src/io/file_manager.hpp
	src/io/xml_node.cpp
	src/io/xml_node.hpp
	src/io/xml_writer.cpp
	src/io/xml_writer.hpp
	src/items/attachment.cpp
	src/items/attachment.hpp
	src/items/attachment_manager.cpp
	src/items/attachment_manager.hpp
	src/items/attachment_plugin.hpp
	src/items/bowling.cpp
	src/items/bowling.hpp
	src/items/cake.cpp
	src/items/cake.hpp
	src/items/flyable.cpp
	src/items/flyable.hpp
	src/items/item.cpp
	src/items/item.hpp
	src/items/item_manager.cpp
	src/items/item_manager.hpp
	src/items/plunger.cpp
	src/items/plunger.hpp
	src/items/powerup.cpp
	src/items/powerup.hpp
	src/items/powerup_manager.cpp
	src/items/powerup_manager.hpp
	src/items/projectile_manager.cpp
	src/items/projectile_manager.hpp
	src/items/rubber_ball.cpp
	src/items/rubber_ball.hpp
	src/items/rubber_band.cpp
	src/items/rubber_band.hpp
	src/items/swatter.cpp
	src/items/swatter.hpp
	src/karts/controller/ai_base_controller.cpp
	src/karts/controller/ai_base_controller.hpp
	src/karts/controller/controller.cpp
	src/karts/controller/controller.hpp
	src/karts/controller/default_ai_controller.cpp
	src/karts/controller/default_ai_controller.hpp
	src/karts/controller/end_controller.cpp
	src/karts/controller/end_controller.hpp
	src/karts/controller/kart_control.hpp
	src/karts/controller/new_ai_controller.cpp
	src/karts/controller/new_ai_controller.hpp
	src/karts/controller/player_controller.cpp
	src/karts/controller/player_controller.hpp
	src/karts/emergency_animation.cpp
	src/karts/emergency_animation.hpp
	src/karts/kart.cpp
	src/karts/kart.hpp

=== src/bullet/CMakeLists.txt ===
# CMakeLists.txt for Bullet in STK

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/)

# libbulletmath
add_library(bulletmath
	src/LinearMath/btAabbUtil2.h           src/LinearMath/btMotionState.h
	src/LinearMath/btAlignedAllocator.cpp  src/LinearMath/btPoolAllocator.h
	src/LinearMath/btAlignedAllocator.h    src/LinearMath/btQuadWord.h
	src/LinearMath/btAlignedObjectArray.h  src/LinearMath/btQuaternion.h
	src/LinearMath/btConvexHull.cpp        src/LinearMath/btQuickprof.cpp
	src/LinearMath/btConvexHull.h          src/LinearMath/btQuickprof.h
	src/LinearMath/btDefaultMotionState.h  src/LinearMath/btRandom.h
	src/LinearMath/btGeometryUtil.cpp      src/LinearMath/btScalar.h
	src/LinearMath/btGeometryUtil.h        src/LinearMath/btSerializer.cpp
	src/LinearMath/btHashMap.h             src/LinearMath/btSerializer.h
	src/LinearMath/btIDebugDraw.h          src/LinearMath/btStackAlloc.h
	src/LinearMath/btList.h                src/LinearMath/btTransform.h
	src/LinearMath/btMatrix3x3.h           src/LinearMath/btTransformUtil.h
	src/LinearMath/btMinMax.h              src/LinearMath/btVector3.h
	)

# TODO: original comment:
# Certain g++ versions causes stk to crash if btVoronoiSimplexSolver.cpp is
# compiled with optimisations. Since it's rather difficult to specify certain
# flags for one file only with auto-tools (you can only specify flags per
# library, so you have to put this one file into a separate library) we compile
# the whole libbulletcollision with the modified flags - i.e. by adding 
# -fno-elide-constructors to the flags. The overall performance impact is
# quite low anyway.

# libbulletcollision
add_library(bulletcollision
	src/BulletCollision/BroadphaseCollision/btAxisSweep3.cpp
	src/BulletCollision/BroadphaseCollision/btAxisSweep3.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.cpp
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.cpp
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.h
	src/BulletCollision/BroadphaseCollision/btDbvt.cpp
	src/BulletCollision/BroadphaseCollision/btDbvt.h
	src/BulletCollision/BroadphaseCollision/btDispatcher.cpp
	src/BulletCollision/BroadphaseCollision/btDispatcher.h
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.cpp
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCallback.h
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.cpp
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.h
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.h
	src/BulletCollision/CollisionDispatch/btCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btCollisionCreateFunc.h
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.cpp
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.h
	src/BulletCollision/CollisionDispatch/btCollisionObject.cpp
	src/BulletCollision/CollisionDispatch/btCollisionObject.h
	src/BulletCollision/CollisionDispatch/btCollisionWorld.cpp
	src/BulletCollision/CollisionDispatch/btCollisionWorld.h
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.cpp
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btGhostObject.cpp
	src/BulletCollision/CollisionDispatch/btGhostObject.h
	src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.cpp
	src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.h
	src/BulletCollision/CollisionDispatch/btManifoldResult.cpp
	src/BulletCollision/CollisionDispatch/btManifoldResult.h
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.cpp
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.h
	src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btUnionFind.cpp
	src/BulletCollision/CollisionDispatch/btUnionFind.h
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.cpp
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.h
	src/BulletCollision/CollisionShapes/btBox2dShape.cpp
	src/BulletCollision/CollisionShapes/btBox2dShape.h
	src/BulletCollision/CollisionShapes/btBoxShape.cpp
	src/BulletCollision/CollisionShapes/btBoxShape.h
	src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btCapsuleShape.cpp
	src/BulletCollision/CollisionShapes/btCapsuleShape.h
	src/BulletCollision/CollisionShapes/btCollisionMargin.h
	src/BulletCollision/CollisionShapes/btCollisionShape.cpp
	src/BulletCollision/CollisionShapes/btCollisionShape.h
	src/BulletCollision/CollisionShapes/btCompoundShape.cpp
	src/BulletCollision/CollisionShapes/btCompoundShape.h
	src/BulletCollision/CollisionShapes/btConcaveShape.cpp
	src/BulletCollision/CollisionShapes/btConcaveShape.h
	src/BulletCollision/CollisionShapes/btConeShape.cpp
	src/BulletCollision/CollisionShapes/btConeShape.h
	src/BulletCollision/CollisionShapes/btConvex2dShape.cpp
	src/BulletCollision/CollisionShapes/btConvex2dShape.h
	src/BulletCollision/CollisionShapes/btConvexHullShape.cpp
	src/BulletCollision/CollisionShapes/btConvexHullShape.h
	src/BulletCollision/CollisionShapes/btConvexInternalShape.cpp
	src/BulletCollision/CollisionShapes/btConvexInternalShape.h
	src/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp
	src/BulletCollision/CollisionShapes/btConvexPointCloudShape.h
	src/BulletCollision/CollisionShapes/btConvexShape.cpp
	src/BulletCollision/CollisionShapes/btConvexShape.h
	src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btCylinderShape.cpp
	src/BulletCollision/CollisionShapes/btCylinderShape.h
	src/BulletCollision/CollisionShapes/btEmptyShape.cpp
	src/BulletCollision/CollisionShapes/btEmptyShape.h
	src/BulletCollision/CollisionShapes/btHeightfieldTerrainShape.cpp
	src/BulletCollision/CollisionShapes/btHeightfieldTerrainShape.h
	src/BulletCollision/CollisionShapes/btMaterial.h
	src/BulletCollision/CollisionShapes/btMinkowskiSumShape.cpp
	src/BulletCollision/CollisionShapes/btMinkowskiSumShape.h
	src/BulletCollision/CollisionShapes/btMultimaterialTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btMultimaterialTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btMultiSphereShape.cpp
	src/BulletCollision/CollisionShapes/btMultiSphereShape.h
	src/BulletCollision/CollisionShapes/btOptimizedBvh.cpp
	src/BulletCollision/CollisionShapes/btOptimizedBvh.h
	src/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp
	src/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h
	src/BulletCollision/CollisionShapes/btScaledBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btScaledBvhTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btShapeHull.cpp
	src/BulletCollision/CollisionShapes/btShapeHull.h
	src/BulletCollision/CollisionShapes/btSphereShape.cpp
	src/BulletCollision/CollisionShapes/btSphereShape.h
	src/BulletCollision/CollisionShapes/btStaticPlaneShape.cpp
	src/BulletCollision/CollisionShapes/btStaticPlaneShape.h
	src/BulletCollision/CollisionShapes/btStridingMeshInterface.cpp
	src/BulletCollision/CollisionShapes/btStridingMeshInterface.h
	src/BulletCollision/CollisionShapes/btTetrahedronShape.cpp
	src/BulletCollision/CollisionShapes/btTetrahedronShape.h
	src/BulletCollision/CollisionShapes/btTriangleBuffer.cpp
	src/BulletCollision/CollisionShapes/btTriangleBuffer.h
	src/BulletCollision/CollisionShapes/btTriangleCallback.cpp
	src/BulletCollision/CollisionShapes/btTriangleCallback.h
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexArray.h
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexMaterialArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexMaterialArray.h
	src/BulletCollision/CollisionShapes/btTriangleInfoMap.h
	src/BulletCollision/CollisionShapes/btTriangleMesh.cpp
	src/BulletCollision/CollisionShapes/btTriangleMesh.h
	src/BulletCollision/CollisionShapes/btTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btTriangleShape.h
	src/BulletCollision/CollisionShapes/btUniformScalingShape.cpp
	src/BulletCollision/CollisionShapes/btUniformScalingShape.h
	src/BulletCollision/Gimpact/btBoxCollision.h
	src/BulletCollision/Gimpact/btClipPolygon.h
	src/BulletCollision/Gimpact/btContactProcessing.cpp
	src/BulletCollision/Gimpact/btContactProcessing.h
	src/BulletCollision/Gimpact/btGenericPoolAllocator.cpp
	src/BulletCollision/Gimpact/btGenericPoolAllocator.h
	src/BulletCollision/Gimpact/btGeometryOperations.h
	src/BulletCollision/Gimpact/btGImpactBvh.cpp
	src/BulletCollision/Gimpact/btGImpactBvh.h
	src/BulletCollision/Gimpact/btGImpactCollisionAlgorithm.cpp
	src/BulletCollision/Gimpact/btGImpactCollisionAlgorithm.h
	src/BulletCollision/Gimpact/btGImpactMassUtil.h
	src/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp
	src/BulletCollision/Gimpact/btGImpactQuantizedBvh.h
	src/BulletCollision/Gimpact/btGImpactShape.cpp
	src/BulletCollision/Gimpact/btGImpactShape.h
	src/BulletCollision/Gimpact/btQuantization.h
	src/BulletCollision/Gimpact/btTriangleShapeEx.cpp
	src/BulletCollision/Gimpact/btTriangleShapeEx.h
	src/BulletCollision/Gimpact/gim_array.h
	src/BulletCollision/Gimpact/gim_basic_geometry_operations.h
	src/BulletCollision/Gimpact/gim_bitset.h
	src/BulletCollision/Gimpact/gim_box_collision.h
	src/BulletCollision/Gimpact/gim_box_set.cpp
	src/BulletCollision/Gimpact/gim_box_set.h
	src/BulletCollision/Gimpact/gim_clip_polygon.h
	src/BulletCollision/Gimpact/gim_contact.cpp
	src/BulletCollision/Gimpact/gim_contact.h

=== src/enet/CMakeLists.txt ===
# CMakeLists.txt - enet

include_directories("include")

add_definitions(-DHAS_SOCKLEN_T)

add_library(enet
	callbacks.c  host.c      list.c    peer.c      unix.c
	compress.c   install-sh  packet.c  protocol.c  win32.c
	)

=== debian/changelog ===
supertuxkart (0.7.3-2) unstable; urgency=low

  * Switch buildsystem to cmake (upstream has deprecated their autotools
    build system).
    - Drop build-depends on autotools-dev, automake, dh-autoreconf.
    - Add build-depends on cmake (>= 2.8.1).
    - Refresh debian/patches/build_against_system_enet.patch.
    - Add debian/patches/backport_cmake.patch to backport fixes to STK's
      CMake build system (and to make it easier to build against system enet).
  * Install hi-res icon and use it in STK's desktop menu entry. (LP: #937976)
  * Enable parallel building.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 31 May 2012 17:23:37 -0700

supertuxkart (0.7.3-1) unstable; urgency=low

  * Team upload.

  [ Alexander Reichle-Schmehl ]
  * New upstream release (Closes: #634019, LP: #871630)
  * Fix watchfile to ignore release candidates
  * Refresh patches/build-against-system-enet.patch
  * Drop patches/enet1.3.patch (Applied upstream)

  [ Vincent Cheng ]
  * Add myself to Uploaders.
  * Add debian/patches/build_with_irrlicht_1.7.3.patch to enable build with
    latest stable version of irrlicht rather than an unreleased SVN revision.
  * Bump versioned dependency on libirrlicht-dev to (>= 1.7.3).
  * Update debian/rules to dh 7 "rules.tiny" style.
  * Add build-depends on dh-autoreconf and use autoreconf sequence in
    debian/rules.
  * Add build-depends on libcurl4-gnutls-dev | libcurl4-dev, libfribidi-dev,
    libxxf86vm-dev.
  * Add missing DEP-3 headers to patches.
  * Source tarball is now DFSG-clean.
    - Remove unneeded get-orig-source target in debian/rules.
    - Remove unneeded get-orig-source.sh and README.source.
  * Remove unneeded *.xpm icons in debian/.
  * Remove unused lintian-overrides file.
  * Remove unneeded debian/supertuxkart.desktop menu file (use menu file in
    data/supertuxkart_desktop.template instead).
    - Add debian/patches/fix_desktop_file.patch to add Debian/Ubuntu-specific
      changes to menu file (and forward patch upstream). (Closes: #667640;
      LP: #709987)
  * "Modernize" package description, as suggested by an upstream dev.
    (LP: #774345); remove reference to GotM. (Closes: #531637)
  * Bump dh compat level from 7 to 9.
  * Bump standards version from 3.8.3 to 3.9.3 (no changes needed).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 04 May 2012 18:36:07 -0700

=== debian/control ===
Source: supertuxkart
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar <sho@debian.org>,
 Alexander Reichle-Schmehl <tolimar@debian.org>,
 Christoph Egger <christoph@debian.org>,
 Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 cmake (>= 2.8.1),
 debhelper (>= 9),
 docbook-to-man,
 libalut-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libenet-dev (>= 1.3.1),
 libfribidi-dev,
 libirrlicht-dev (>= 1.7.3),
 libopenal-dev,
 libsdl-image1.2-dev,
 libsdl-ttf2.0-dev,
 libvorbis-dev,
 libxxf86vm-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/supertuxkart/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/supertuxkart/
Homepage: http://supertuxkart.sf.net/

Package: supertuxkart
Architecture: any
Depends:
 supertuxkart-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D kart racing game
 SuperTuxKart is a free 3D kart racing game, with a focus on having fun over
 realism. You can play with up to 4 friends on one PC, racing against each
 other or just trying to beat the computer; single-player mode is also
 available.
 .
 See the great lighthouse or drive through the sand and visit the pyramids.
 Race underground or in space, watching the stars pass by. Or rest under the
 palm trees on the beach, watching the other karts overtake you. But don't eat
 the bananas! Watch for bowling balls, plungers, bubble gum and cakes thrown by
 your opponents.
 .
 You can do a single race against other karts, compete in one of several Grand
 Prix, try to beat the high score in time trials on your own, play battle mode
 against your friends, and more!

Package: supertuxkart-data
Architecture: all
Suggests: supertuxkart
Depends: ${misc:Depends}
Description: 3D kart racing game (data)
 SuperTuxKart is a free 3D kart racing game, with a focus on having fun over
 realism. You can play with up to 4 friends on one PC, racing against each
 other or just trying to beat the computer; single-player mode is also
 available.
 .
 See the great lighthouse or drive through the sand and visit the pyramids.
 Race underground or in space, watching the stars pass by. Or rest under the
 palm trees on the beach, watching the other karts overtake you. But don't eat
 the bananas! Watch for bowling balls, plungers, bubble gum and cakes thrown by
 your opponents.
 .
 You can do a single race against other karts, compete in one of several Grand
 Prix, try to beat the high score in time trials on your own, play battle mode
 against your friends, and more!
 .
 This package contains data files for the game supertuxkart.

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
endif

export DEB_LDFLAGS_MAINT_APPEND=-lGLU

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	# Generate sources.cmake
	sh update_file_list.sh
	
	dh_auto_configure

override_dh_auto_build:
	# Generate manual page
	docbook-to-man debian/supertuxkart.sgml > debian/supertuxkart.6
	
	dh_auto_build

override_dh_install:
	# Licenses are all documented in debian/copyright
	find $(CURDIR)/debian/tmp \( -iname "License.txt" -o -iname \
	"License.Debian.txt" -o -iname "Music_license.rtf" \) -delete
	
	# cmake installs some unneeded autotools-related files as well
	find $(CURDIR)/debian/tmp \( -iname "Makefile.am" -o -iname \
	"Makefile.in" \) -delete
	
	# Remove unneeded launcher script in data directory
	find $(CURDIR)/debian/tmp \( -iname "run_me.sh" \) -delete
	
	# Install xpm icons in /usr/share/pixmaps into /usr/share/icons/hicolor as
	# well. Also install hi-res icon into /usr/share/pixmaps. LP: #937976
	install -m 644 $(CURDIR)/debian/tmp/usr/share/games/supertuxkart/data/gui/karts.png \
	$(CURDIR)/debian/tmp/usr/share/pixmaps/supertuxkart.png
	mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/32x32/apps
	install -m 644 $(CURDIR)/debian/tmp/usr/share/pixmaps/supertuxkart_32.xpm \
	$(CURDIR)/debian/tmp/usr/share/icons/hicolor/32x32/apps/supertuxkart.xpm
	mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/64x64/apps
	install -m 644 $(CURDIR)/debian/tmp/usr/share/pixmaps/supertuxkart_64.xpm \
	$(CURDIR)/debian/tmp/usr/share/icons/hicolor/64x64/apps/supertuxkart.xpm
	
	dh_install
